http_methods = ['CONNECT', 'DELETE', 'GET', 'HEAD', 'OPTIONS', 'PATCH', 'POST', 'PUT', 'TRACE']
applications = {}


def get_app(name='default'):
	return applications[name]


def set_app(app):
	applications[app.name] = app
	return app


def create_app(appname, **kwargs):
	return set_app(Application(appname=appname, **kwargs))


from .application import Application, Blueprint
from .middleware import MediaCacheControl
from .request import ServerRequest
from .response import ServerResponse
from .view import View, Static
