media_types = [
	'application/octet-stream'
]

media_main_types = [
	'audio',
	'font',
	'image',
	'video'
]

async def MediaCacheControl(request, response):
	if response.content_type in media_types or any(map(response.content_type.startswith, media_main_types)):
		response.headers['Cache-Control'] = 'public,max-age=2628000,immutable'
